### Name: broadPDF
### Title: Analytically broaden a PDF
### Aliases: broadPDF
### Keywords: manip

### ** Examples


## Particle 
aa <- simPart()

## Using a stochastic model for displacements 
ax <- displacePart(aa, sigma=.02) 
axx <- calcPDF(ax) 

## Using analytical broadening
axx1 <- calcPDF(aa)
aB <- broadPDF(axx1, sigma=.02) 

# plot PDFs calculated using both methods
matplot(aB$r, cbind(axx$gr, aB$gr), type="l", lty=1, lwd=1:2)

#########
#  this example shows analytical broadening of the PDF for a core-shell
## particle; note the use of the foranalcs=TRUE argument 

## Particle 
aa <- simPart(r=9, rcore=5, foranalcs=TRUE)

## broaden the PDF
ax <- calcPDF(aa, foranalcs=TRUE) 
aB <- broadPDF(axx1, sigmashell=.02, sigmacore=.003) 




