### Name: rss
### Title: Calculate the RSS associated with the fit PDF or total
###   scattering structure function data
### Aliases: rss
### Keywords: manip

### ** Examples

a <- simPart()
x <- calcPDF(a)
xx1 <- broadPDF(x, sigma=.0125)

## plot PDF data  
plot(xx1$r,xx1$gr, type="l")

## in order to estimate the parameters that were used to
## simulate the particles, the DEoptim package may be
## used.  Install it, remove the comment symbols '#' below,
## and use a call like: 

##library(DEoptim)

##ax <- as.relistable(list(latticep=0,r=10,sigma=0)) 

##res <- DEoptim(rss,
##               lower=c(latticep=3.5, r=5.5,sigma=.001),
##               upper=c(latticep=5.6, r=12,sigma=.1),
##               control=DEoptim.control(NP=50, VTR=.5), 
##               data=xx1$gr, dataType="PDF", punish=TRUE,
##               simPar = simPartPar(), 
##               PDF.fixed=PDFPar(), 
##               verbose=TRUE, skel=ax,
##               analBroad=TRUE)

## now res$optim contains estimates for the particle radius,
## displacement variance sigma, and lattice parameter 



