### Name: simPart
### Title: Functions to simulate the atomic positions in a nanoparticle
### Aliases: simPart displacePart
### Keywords: manip

### ** Examples


## Deterministic particle 
aa <- simPart()

## if the package 'rgl' is installed, the lines calling
## 'spheres3d' can be uncommented; they will provide a 3D
## visualization of a particle.
# spheres3d(aa, radius=.4)

## Particle with uniform displacements 
aa <- simPart(r=11, latticep=5)
ax <- displacePart(aa, sigma=.02) 
# spheres3d(ax, radius=.4)

## Particle with displacements in the core different from displacements
## in the shell
aa <- simPart(r=10, latticep=5)
ax <- displacePart(aa, sigmacore=.001, sigmashell=.1, rcore=10) 
# spheres3d(ax, radius=.4)




